<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Auth</title>
    <script src="https://www.gstatic.com/firebasejs/8.7.1/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.7.1/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.7.1/firebase-analytics.js"></script>

    <script>
        function getUrlVars() {
            var vars = {};
            var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi,
                function (m, key, value) {
                    vars[key] = decodeURIComponent(value);
                });
            return vars;
        }

        var firebaseConfig = {
            apiKey: "AIzaSyAsCd6AiVKyZLfTP0CwFk8hmO6N3E_CNWA",
            authDomain: "backend-d70da.firebaseapp.com",
            databaseURL: "https://backend-d70da.firebaseio.com",
            projectId: "backend-d70da",
            storageBucket: "backend-d70da.appspot.com",
            messagingSenderId: "739011999933",
            appId: "1:739011999933:web:1f0abefea527d685",
            measurementId: "G-L3B46X2H47"
        };

        var app = firebase.initializeApp(firebaseConfig);
        var auth = firebase.auth(app);
        var xhr = new XMLHttpRequest();

        auth.onIdTokenChanged(function (user) {
            console.log("Firebase user changed to " + JSON.stringify(user));
        });

        var provider = new firebase.auth.GoogleAuthProvider();
        provider.setCustomParameters({'prompt': 'consent select_account'});
        provider.addScope('profile');
        provider.addScope('email');
        //provider.addScope("https://www.googleapis.com/auth/userinfo.email")
        // provider.addScope('https://www.googleapis.com/auth/datastore')
        // provider.addScope('https://www.googleapis.com/auth/firebase.database')
        // provider.addScope('https://www.googleapis.com/auth/firebase')
        auth.getRedirectResult().then(function (result) {
            console.log("Firebase user changed to " + JSON.stringify(result));
            var user = result.user;
            if (user) {
                var token = user.refreshToken;
                var idToken = result.credential.idToken;
                console.log("Sign in OK");
                xhr.open("GET", "/token/" + token+ "/" + idToken, false);
                xhr.send();
                document.getElementById("spinner").className = "hidden";
                document.getElementById("success").className = "";
            } else {
                auth.signInWithRedirect(provider);
            }
        }).catch(function (err) {
            console.log("Firebase err " + JSON.stringify(err));
            window.close();
        });

    </script>

    <style type="text/css">
        .hidden {
            visibility: hidden;
        }
    </style>
</head>

<body>
<img id="spinner" style="position:fixed;top: 0;left: 0;right:0;bottom:0;margin: auto;" src="loader.svg">
<div class="hidden" id="success">Success. Close the window.</div>
</body>
</html>